**************************************************
* SECTICKS.CMD - V1.00
* TO ENTER SECURITIES CONFIRMATIONS
* IN THE GENERAL JOURNAL.  USED FOR
* CASH OR MARGIN (ACCOUNTS PAYABLE)
* ACCOUNTS BY SELECTING PROPER
* ACCOUNT NUMBER.
**************************************************
ERASE
STORE " " TO MANS
DO WHILE .NOT. (MANS = "N" .OR. MANS = "n")
ERASE
STORE " " TO MDR:AN
STORE " " TO MCR:AN
STORE " " TO MDATE
STORE " " TO MTRAN
  ACCEPT "Enter PURCHASE or SALE (P/S) <CR>" TO MTRAN
  ACCEPT "Enter TRADE DATE (MM/DD/YY) <CR>" TO MDATE
DO WHILE MDR:AN = " "
@ 4,0 SAY " "
IF MTRAN = "P" .OR. MTRAN = "p"
  ACCEPT "Enter PURCHASES - SECURITIES A/N <CR> " TO MDR:AN
ENDIF
IF MTRAN = "S" .OR. MTRAN = "s"
  ACCEPT "Enter ACCOUNTS RECEIVABLE A/N or CASH A/N <CR>" TO MDR:AN
ENDIF
  STORE " " TO MDR:DESCR
  USE ANCHART
  LOCATE FOR AN = MDR:AN
  IF AN = MDR:AN
    STORE DESCR TO MDR:DESCR
  ENDIF
  IF MDR:DESCR = " "
@ 6,0 SAY "ACCOUNT ERROR"
    STORE " " TO MDR:AN
? CHR(07)
  ENDIF
  LOOP
ENDDO
@ 6,0 SAY "             "
@ 6,0 SAY MDR:DESCR
@ 7,0 SAY " "
INPUT "AMOUNT DUE XXXX.XX <CR>       " TO MAMT
STORE MAMT TO MDR:AMT
STORE MAMT TO MCR:AMT
@ 9,0 SAY " "
DO WHILE MCR:AN = " "
@ 9,0 SAY " "
IF MTRAN = "P" .OR. MTRAN = "p"
  ACCEPT "Enter ACCOUNTS PAY A/N or CASH A/N <CR>" TO MCR:AN
ENDIF
IF MTRAN = "S" .OR. MTRAN = "s"
  ACCEPT "Enter SALES - SECURITIES A/N <CR>" TO MCR:AN
ENDIF
  USE ANCHART
  STORE " " TO MCR:DESCR
  LOCATE FOR AN = MCR:AN
  IF AN = MCR:AN
    STORE DESCR TO MCR:DESCR
  ENDIF
  IF MCR:DESCR = " "
@ 11,0 SAY "ACCOUNT ERROR"
    STORE " " TO MCR:AN
? CHR(07)
  ENDIF
  LOOP
ENDDO
@ 11,0 SAY "            "
@ 11,0 SAY MCR:DESCR
@ 12,0 SAY " "
ACCEPT "Enter SECURITIES BOUGHT OR SOLD <CR>" TO MNOTES1
@ 14,0 SAY " "
ACCEPT "Enter BROKERS'S NAME <CR>" TO MNOTES2
@ 17,0 SAY " "
ACCEPT "Enter more SECURITY CONFIRMATIONS? (Y/N) <CR>" TO MANS
@ 19,0 SAY " "
  DO ADDREC
LOOP
ENDDO
RETURN
CANCEL